OPENSNITCH-UI(1)

NAME
opensnitch-ui - GNU/Linux interactive firewall application

SYNOPSIS
opensnitch-ui [--socket path] [--max-clients num]

DESCRIPTION

opensnitch-ui is the OpenSnitch GUI to view events intercepted by the daemon, and to manage the rules. The GUI is composed of 2 components in the same script: a server and a GUI. Once the GUI is launched, an icon will appear on the system tray. If the system tray is not available or can't be used, the Events dialog will be launched.

The GUI (i.e.: the server) will listen for new connections from daemons. You can have the daemon installed on multiple machines, and manage them from a centralized GUI. https://github.com/evilsocket/opensnitch/wiki/Nodes

OPTIONS

--socket path
    Specifies the path or network address where the GUI (i.e.: the server) will listen on.

    Examples:

    Default: unix:///tmp/osui.sock

     - Listening on a Unix socket:
       $ opensnitch-ui --socket unix:///tmp/osui.sock
     * Use unix:///run/user/YOUR_USER_ID/opensnitch/osui.sock for better privacy.

     - Listening on port 50051, all interfaces:
       $ opensnitch-ui --socket "[::]:50051"

--max-clients num
    Maximum number of clients to allow (default: 10).

FILES
/home/$USER/.config/opensnitch/
    Path of the GUI configuration.

DIAGNOSTICS
If something goes wrong, like a crash, launch the GUI from a shell to view debugging messages:

    $ opensnitch-ui

REPORTING BUGS
Problems with opensnitch-ui should be reported on github https://github.com/evilsocket/opensnitch/issues

SEE ALSO

OpenSnitch Home Page (https://github.com/evilsocket/opensnitch)

HISTORY
OpenSnitch was originally written by Simone Margaritelli (evilsocket) in 2017-2018.

In 2019, after some time of inactivity, Gustavo Iñiguez Goya started contributing, fixing bugs and adding new functionality, with the esential help of the community, and valuable contributions from themighty1 and calesanz among others.

AUTHORS
The complete list of OpenSnitch contributors can be found on https://github.com/evilsocket/opensnitch